%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global dont_check_desktop_files 1

%global __provides_exclude libpolari.*\\.so$
%global __requires_exclude libpolari.*\\.so$|libtelepathy-glib\\.so\\.0\\(TELEPATHY.*

Name:		polari
Version:	43.0
Release:	%mkrel 1
Summary:	Internet Relay Chat client for GNOME
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/Apps/Polari
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	meson
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 1.35.9
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	pkgconfig(gjs-1.0) >= 1.69.2
BuildRequires:	pkgconfig(telepathy-glib)
BuildRequires:	appstream-util
BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	gsettings-desktop-schemas
BuildRequires:	typelib(TelepathyLogger)
BuildRequires:	desktop-file-utils
BuildRequires:	gnome-common
BuildRequires:	yelp-devel
BuildRequires:	itstool
# this dep cannot be autocomputed as js resources are embedded in a gresource in the binary:
BuildRequires:	typelib(Gspell)
Requires:	typelib(Gspell)

Requires:	gsettings-desktop-schemas
Requires:	telepathy-logger
Requires:	telepathy-mission-control
Requires:	telepathy-idle

# For color emoji support
Recommends:	google-noto-emoji-fonts

%description
Polari is an Internet Relay Chat client for the GNOME desktop.

%prep
%setup -q
%autopatch -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc COPYING AUTHORS NEWS
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/dbus-1/services/org.gnome.Polari.service
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.Polari.service
%{_datadir}/telepathy/clients/Polari.client
%{_datadir}/applications/org.gnome.Polari.desktop
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/%{name}/
%{_iconsdir}/*/*/*/*
%{_datadir}/metainfo/org.gnome.Polari.appdata.xml


%changelog
* Sun Oct 23 2022 ghibo <ghibo> 43.0-1.mga9
+ Revision: 1898694
- Update to release 43.0

* Mon Jul 04 2022 ovitters <ovitters> 42.1-1.mga9
+ Revision: 1867682
- new version 42.1

* Sat Mar 19 2022 tv <tv> 42.0-1.mga9
+ Revision: 1801607
- Update to 42.0

* Mon Jan 10 2022 tv <tv> 41.0-1.mga9
+ Revision: 1767633
- 41.0

* Fri Jun 25 2021 ovitters <ovitters> 3.38.1-1.mga9
+ Revision: 1732238
- new version 3.38.1

* Fri Sep 18 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1628600
- new version 3.38.0

* Tue Jul 07 2020 ovitters <ovitters> 3.37.3-1.mga8
+ Revision: 1602868
- new version 3.37.3

* Wed Jun 10 2020 ovitters <ovitters> 3.37.2-1.mga8
+ Revision: 1591713
- new version 3.37.2

* Wed Jun 03 2020 ovitters <ovitters> 3.36.3-1.mga8
+ Revision: 1589805
- new version 3.36.3

* Thu Apr 30 2020 ovitters <ovitters> 3.36.2-1.mga8
+ Revision: 1573384
- new version 3.36.2

* Tue Mar 31 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1562494
- new version 3.36.1

* Sat Mar 07 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554744
- new version 3.36.0

* Sun Mar 01 2020 ovitters <ovitters> 3.35.92-1.mga8
+ Revision: 1552518
- new version 3.35.92

* Wed Feb 19 2020 ovitters <ovitters> 3.35.91-1.mga8
+ Revision: 1544850
- new version 3.35.91

* Tue Feb 18 2020 umeabot <umeabot> 3.34.1-2.mga8
+ Revision: 1539718
- Mageia 8 Mass Rebuild

* Thu Dec 12 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1466086
- new version 3.34.1

* Mon Sep 09 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1439052
- new version 3.34.0

* Thu Sep 05 2019 ovitters <ovitters> 3.33.92-1.mga8
+ Revision: 1437436
- new version 3.33.92

* Sun Aug 11 2019 tv <tv> 3.33.2-1.mga8
+ Revision: 1428765
- new release

* Tue Jul 02 2019 ovitters <ovitters> 3.32.2-1.mga8
+ Revision: 1417626
- new version 3.32.2

* Thu Apr 18 2019 umeabot <umeabot> 3.32.1-2.mga7
+ Revision: 1392900
- Rebuild with meson 0.50.1

* Wed Apr 17 2019 ovitters <ovitters> 3.32.1-1.mga7
+ Revision: 1392074
- new version 3.32.1

* Tue Mar 12 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1374414
- new version 3.32.0

* Thu Mar 07 2019 ovitters <ovitters> 3.31.92-1.mga7
+ Revision: 1372277
- new version 3.31.92

* Fri Dec 07 2018 daviddavid <daviddavid> 3.30.2-2.mga7
+ Revision: 1338795
- add missing dependency on typelib(Gspell) (mga#23959)

* Mon Oct 29 2018 ovitters <ovitters> 3.30.2-1.mga7
+ Revision: 1326464
- new version 3.30.2

* Sat Oct 06 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1318288
- new version 3.30.1

* Fri Sep 07 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1257717
- new version 3.30.0
- new version 3.29.92
- new version 3.29.91

* Wed Jul 18 2018 ovitters <ovitters> 3.29.4-1.mga7
+ Revision: 1244242
- new version 3.29.4

* Mon Mar 12 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1208731
- new version 3.28.0

* Mon Mar 05 2018 ovitters <ovitters> 3.27.92-1.mga7
+ Revision: 1206754
- new version 3.27.92

* Tue Feb 27 2018 ovitters <ovitters> 3.27.91-1.mga7
+ Revision: 1205539
- new version 3.27.91

* Mon Oct 30 2017 ovitters <ovitters> 3.26.2-1.mga7
+ Revision: 1175048
- new version 3.26.2

* Wed Oct 04 2017 ovitters <ovitters> 3.26.1-1.mga7
+ Revision: 1168775
- new version 3.26.1

* Tue Sep 12 2017 ovitters <ovitters> 3.26.0-1.mga7
+ Revision: 1153266
- new version 3.26.0

* Tue Sep 05 2017 ovitters <ovitters> 3.25.92-1.mga7
+ Revision: 1151481
- new version 3.25.92

* Mon Aug 21 2017 ovitters <ovitters> 3.25.91-1.mga7
+ Revision: 1142532
- new version 3.25.91

* Sat Aug 12 2017 ovitters <ovitters> 3.25.90-1.mga7
+ Revision: 1139899
- new version 3.25.90
- new version 3.25.4

* Wed Jul 19 2017 ovitters <ovitters> 3.24.2-1.mga7
+ Revision: 1124883
- new version 3.24.2

* Tue Apr 11 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1096366
- new version 3.24.1

* Thu Mar 23 2017 tv <tv> 3.24.0-2.mga6
+ Revision: 1094604
- BR appstream-util thus fixing missing typelib() deps
  (should probably be moved into appstream devel pkg...)
- explain why some typelib requires is manual

* Wed Mar 22 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094486
- hack around missing autoreq on typelib(Gspell)
- new version 3.24.0
- drop unneeded patch

* Thu Nov 10 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1066227
- new version 3.22.2

* Mon Oct 10 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1059989
- new version 3.22.1

* Wed Sep 21 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1054956
- br itstool
- br telepathy-logger
- new version 3.22.0
- new version 3.21.91

* Mon Aug 22 2016 ovitters <ovitters> 3.20.3-1.mga6
+ Revision: 1047870
- new version 3.20.3

* Tue May 10 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1012310
- new version 3.20.2

* Fri Apr 29 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1007973
- new version 3.20.1

* Tue Mar 22 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 994158
- new version 3.20.0

* Wed Mar 16 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 992149
- new version 3.19.92

* Wed Mar 02 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 983805
- new version 3.19.91

* Fri Feb 19 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 969807
- new version 3.19.90

* Fri Jan 29 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 928789
- new version 3.19.4

* Wed Dec 23 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 913833
- new version 3.19.3

* Thu Nov 26 2015 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 906270
- new version 3.19.2

* Mon Nov 23 2015 ovitters <ovitters> 3.19.1-1.mga6
+ Revision: 905152
- new version 3.19.1

* Wed Oct 14 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 891092
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883096
- new release

* Wed Sep 16 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879932
- new version 3.17.92

* Wed Sep 02 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 872135
- new version 3.17.91

* Thu Aug 20 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 866861
- new version 3.17.90

* Mon Aug 10 2015 ovitters <ovitters> 3.17.4-1.mga6
+ Revision: 862387
- new version 3.17.4

* Fri Jul 17 2015 ovitters <ovitters> 3.17.3-1.mga6
+ Revision: 854837
- new version 3.17.3

* Mon Jun 22 2015 ovitters <ovitters> 3.17.1-1.mga6
+ Revision: 839636
- new version 3.17.1

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 740177
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738729
- new version 3.14.1

* Wed Sep 24 2014 wally <wally> 3.14.0-5.mga5
+ Revision: 724211
- update requires/provides excludes

* Tue Sep 23 2014 wally <wally> 3.14.0-4.mga5
+ Revision: 722582
- another rebuild with new g-ir-dep-tool

* Tue Sep 23 2014 wally <wally> 3.14.0-3.mga5
+ Revision: 722507
- rebuild with new g-ir-dep-tool

* Tue Sep 23 2014 wally <wally> 3.14.0-2.mga5
+ Revision: 722478
- add patch to move .typelib file to a better location

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719238
- new version 3.14.0

* Wed Sep 17 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 692843
- new version 3.13.92
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild
+ tv <tv>
- auto convert _exclude_files_from_autoreq

* Wed Aug 20 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665900
- new version 3.13.90
- dropped merged patch 2
- dropped merged patch 1

* Fri Aug 01 2014 ovitters <ovitters> 3.13.2-3.mga5
+ Revision: 658877
- add another patch for username tranparency

* Fri Aug 01 2014 ovitters <ovitters> 3.13.2-2.mga5
+ Revision: 658873
- add upstream patch to ensure text is visible

* Wed May 28 2014 ovitters <ovitters> 3.13.2-1.mga5
+ Revision: 627115
- new version 3.13.2

* Wed May 14 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622750
- new version 3.12.2

* Tue Apr 15 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 615215
- new version 3.12.1

* Tue Mar 25 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608632
- new version 3.12.0

* Wed Feb 05 2014 ovitters <ovitters> 3.11.2-2.mga5
+ Revision: 583732
- fix requirement

* Wed Feb 05 2014 ovitters <ovitters> 3.11.2-1.mga5
+ Revision: 583719
- imported package polari

